Name:         qfaxreader
License:      GPLv2+
Group:        Applications/Communications
Version:      0.3.1
Release:      10%{dist}.3
Summary:      A multipage monochrome/color TIFF/FAX viewer
Source:       http://downloads.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
Patch0:       qfaxreader-parallel_build.patch
Patch1:       qfaxreader-gcc4.3.0-configure.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL:          http://qfaxreader.sourceforge.net/
BuildRequires:  qt3-devel , libtiff-devel, gdbm-devel
BuildRequires:  desktop-file-utils
Requires:     hicolor-icon-theme

%description
QFaxReader is a monochrome/color multipage .TIFF files
visualisation utility designed for viewing faxes.
   
Features:
* multi-page monochrome/color tiff/fax file support
* fullscreen mode
* correctly display fax images in any resolution
* an aliases database for replacing fax IDs with real names
* image transformation (left or right rotation, vertical flipping)
* image export into any format supported by the Qt installation
* auto-refresh and notification of new facsimiles
* a sidebar for easy directory navigation
* printing monocrome and color tiffs
* arbitrary scaling (normal/smooth)
* internationalization support
* CID support

%prep
%setup -q 
%patch0 -p1 -b .parallel_make
%patch1 -p1 -b .gcc430

%build


CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} \
       --with-docdir=%{_defaultdocdir}/%{name}-%{version} --datadir=%{_datadir}   \
       --mandir=%{_mandir} --libdir=%{_libdir}
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

#mkdir -p %{buildroot}/%{_datadir}/applications
mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/16x16/apps
mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/22x22/apps
mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/32x32/apps
#install -p -m 644 kde/qfaxreader.desktop %{buildroot}/%{_datadir}/applications
install -p -m 644 kde/icon-16.png %{buildroot}/%{_datadir}/icons/hicolor/16x16/apps/qfaxreader.png
install -p -m 644 kde/icon-22.png %{buildroot}/%{_datadir}/icons/hicolor/22x22/apps/qfaxreader.png
install -p -m 644 kde/icon-32.png %{buildroot}/%{_datadir}/icons/hicolor/32x32/apps/qfaxreader.png

desktop-file-install                                    \
        --vendor "fedora"                               \
        --remove-category Application                   \
        --dir %{buildroot}/%{_datadir}/applications     \
        kde/qfaxreader.desktop

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_datadir}/man/man1/*
%{_bindir}/*
%{_datadir}/icons/*/*/apps/*
%{_datadir}/applications/*


%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-10.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Apr 01 2008 manuel "lonely wolf" wolfshant <wolfy[AT]fedoraproject.org> - 0.3.1-9.3
- the program does not build with qt4 yet

* Sat Feb 09 2008 manuel "lonely wolf" wolfshant <wolfy[AT]fedoraproject.org> - 0.3.1-9.2
- wrong date for previous changelog entry

* Fri Jan 04 2008 manuel "lonely wolf" wolfshant <wolfy[AT]fedoraproject.org> - 0.3.1-9.1
- rebuilt for gcc-4.3.0

* Fri Jan 04 2008 manuel wolfshant <wolfy[AT]fedoraproject.org> - 0.3.1-9
- As recommended by the software author, add patch fixing configure 
in order to make it compile with gcc-4.3.0

* Wed Aug 22 2007 manuel wolfshant <wolfy[AT]fedoraproject.org> - 0.3.1-8.1
- Rebuilt

* Tue Aug 14 2007 manuel wolfshant <wolfy[AT]fedoraproject.org> - 0.3.1-8
- License clarification

* Tue Jul 24 2007 manuel wolfshant <wolfy[AT]fedoraproject.org> - 0.3.1-7
- Parallel build, take two (yet another patch)

* Mon Jul 23 2007 manuel wolfshant <wolfy[AT]fedoraproject.org> - 0.3.1-6
- Adding automake as BR

* Mon Jul 23 2007 manuel wolfshant <wolfy[AT]fedoraproject.org> - 0.3.1-5
- More cleanup
- Reenable SMP

* Mon Jul 23 2007 manuel wolfshant <wolfy[AT]fedoraproject.org> - 0.3.1-4
- Spec file cleanup
- Disabled parallel build, it does not seem to work.

* Mon Jun 13 2007 manuel wolfshant <wolfy[AT]fedoraproject.org> - 0.3.1-3
- Removes the no longer valid application category at desktop-file-install time
rather than patch the file

* Mon Jun 11 2007 manuel wolfshant <wolfy[AT]fedoraproject.org> - 0.3.1-2
- Requires: hicolor-icon-theme
- Replaced some paths with macros
- Use gtk-update-icon-cache to show up installed icons in GNOME menus

* Mon May 28 2007 manuel wolfshant <wolfy[AT]fedoraproject.org> - 0.3.1-1
- Initial Fedora build based on the spec available on the application's website

